    color_def = [0.925  0.914  0.847]; % To choose color: "uisetcolor" in Command Window 
    font_def = 8;
    
    set(handles.figureMain,'Color',color_def*0.85)
 
    uibutton(handles.uipanel73,'Style','text','Interpreter','LaTex','String',...
        '$\left[\begin{array}{cc}\varphi_1\\ \varphi_2\\ \varphi_3\end{array}\right]=\left[\begin{array}{cc}\qquad\qquad\\ \qquad\qquad\\ \qquad\qquad\end{array}\right]\left[\begin{array}{cc}l\\ \omega\\ \Omega\end{array}\right]$',...
        'FontSize',font_def + 6,'BackgroundColor',color_def,'Position',[92 33 100 20])
    uibutton(handles.uipanel68,'Style','text','Interpreter','LaTex','String','$\leq G/L \leq$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[90 34 60 20])
    uibutton(handles.uipanel69,'Style','text','Interpreter','LaTex','String','$\leq G_3/L \leq$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[90 34 60 20])           
    uibutton(handles.uipanel72,'Style','text','Interpreter','LaTex','String',...    
        '$\left[\begin{array}{cc}\varphi_1\\ \varphi_2\\ \varphi_3\end{array}\right]=\left[\begin{array}{cc}\qquad\qquad\\ \qquad\qquad\\ \qquad\qquad\end{array}\right]\left[\begin{array}{cc}l_P\\ \varphi_S\\ \varphi_D\end{array}\right]$',...
        'FontSize',font_def + 6,'BackgroundColor',color_def,'Position',[100 32 100 20])
    uibutton(handles.uipanel70,'Style','text','Interpreter','LaTex','String','$\leq S_3 \leq$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[90 34 60 20])
    uibutton(handles.uipanel71,'Style','text','Interpreter','LaTex','String','$\leq D_3 \leq$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[90 34 60 20])
    uibutton(handles.uipanel_Freq3D_LSD,'Style','text','Interpreter','LaTex','String','$R_3$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[147 219 20 15])
    uibutton(handles.uipanel_PoincFreq_2D,'Style','text','Interpreter','LaTex','String','$\leq G/L \leq$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[98 238 60 20])
    uibutton(handles.panelTrueNorm,'Style','text','Interpreter','LaTex','String','$G_3=$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[138 3 60 20])
    uibutton(handles.uipanel15,'Style','text','Interpreter','LaTex','String','$q_1$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[120 146 20 20])
    uibutton(handles.uipanel15,'Style','text','Interpreter','LaTex','String','$q_2$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[120 122 20 20])          
    uibutton(handles.uipanel15,'Style','text','Interpreter','LaTex','String','$q_3$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[120 98 20 20])              
    uibutton(handles.uipanel15,'Style','text','Interpreter','LaTex','String','$p_1$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[120 59 20 20])              
    uibutton(handles.uipanel15,'Style','text','Interpreter','LaTex','String','$p_2$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[120 35 20 20])              
    uibutton(handles.uipanel15,'Style','text','Interpreter','LaTex','String','$p_3$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[120 11 20 20])              
    uibutton(handles.uipanel_Pauli,'Style','text','Interpreter','LaTex','String','$s_1$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[7 118 20 20])
    uibutton(handles.uipanel_Pauli,'Style','text','Interpreter','LaTex','String','$s_2$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[7 98 20 20])          
    uibutton(handles.uipanel_Pauli,'Style','text','Interpreter','LaTex','String','$s_3$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[7 78 20 20])
    uibutton(handles.uipanel_Pauli,'Style','text','Interpreter','LaTex','String','$d_1$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[7 51 20 20])
    uibutton(handles.uipanel_Pauli,'Style','text','Interpreter','LaTex','String','$d_2$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[7 31 20 20])
    uibutton(handles.uipanel_Pauli,'Style','text','Interpreter','LaTex','String','$d_3$','FontSize',font_def + 2,...
        'BackgroundColor',color_def,'Position',[7 11 20 20])          

    set(handles.uipanel53,'BackgroundColor',color_def)
    set(handles.popupmenu_head,'BackgroundColor',color_def)
    set(handles.uiPanelHp,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.textHp,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text_epsilon,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanelInit,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanel15,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel16,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_ODE,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uiPanel_Options,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel18,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanel4,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_from_to,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_ClearMemory,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_RegMethod,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanel_Pert_NonPert,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_StandMethod,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanel_1st_2nd,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_AA_FMFT,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanel_Pauli,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel33,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel54,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel24,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_FFT,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_FMFT,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel52,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_User,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_Freq3D_LGG3,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanelFreq1,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text_tot_cycles,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text_from,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text_to,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text151,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text152,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text153,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text46,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text127,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text63,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_yes,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_no,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text31,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text32,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text33,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text34,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text35,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text36,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text14,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text15,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text16,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text17,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text_OutStep,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text_block,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_Pert,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_NonPert,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_1st,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_2nd,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.check_log,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text38,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text39,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text40,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text41,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text43,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text116,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text117,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text126,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text64,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_Delaunay,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_Delaunayprime,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_Pauli,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_Pauliprime,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_User,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_PoincFreq_2D,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanel46,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text68,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.panelTrueNorm,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text70,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text128,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel65,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel65,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.checkbox_2D_Poinc,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.checkbox_append,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.checkbox_2D_freq,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel40,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text77,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text78,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text79,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel42,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text83,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text84,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text85,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel37,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_2D_pert,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_2D_nonpert,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_2D_system,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_3D_symmetry,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.TrueG3,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.NormG3,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text97,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text100,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text111,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text129,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel48,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_Pert_LGG3,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_NonPert_LGG3,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel56,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.text101,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text102,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text103,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text156,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanelFreq2,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text107,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text108,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text109,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text157,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanelFreq3,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text104,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text105,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text106,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text158,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_Freq3D_LSD,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.text73,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text76,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text155,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text131,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel39,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_Pert_LSD,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.radiobutton_NonPert_LSD,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel55,'BackgroundColor',color_def,'FontSize',font_def + 2)
    set(handles.uipanel72,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel43,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text86,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text87,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text88,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text159,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel44,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text89,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text90,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text91,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text160,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel45,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text92,'BackgroundColor',color_def,'FontSize',font_def + 1)
    set(handles.text93,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text94,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text161,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uiPanel_TomOptions,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text20,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text22,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text23,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text24,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_RungeKutta,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text65,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text_IRKMeth,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel_GniCodes,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text59,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel68,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel69,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel70,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel71,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.uipanel73,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.popupmenu_head,'FontSize',font_def + 4)
    set(handles.pushbutton_Integrate,'FontSize',font_def + 8)
    set(handles.pushbutton_CalcPlot_Poincare,'FontSize',font_def)
    set(handles.pushbutton_CalcPlot_LSDprime,'FontSize',font_def + 2)
    set(handles.pushbutton_CalcPlot_LGG3prime,'FontSize',font_def + 2)
    set(handles.LongtimeFA,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text147,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text149,'BackgroundColor',color_def,'FontSize',font_def)
    set(handles.text154,'BackgroundColor',color_def,'FontSize',font_def)
%   set(handles.q1_value,'FontSize',font_def)      